<bugID>667190<Summary>Displayed http:// on some pages involuntarily.</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110625 Firefox/7.0a1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110625 Firefox/7.0a1

The configuration sets that "browser.urlbar.trimURLs" is true.
Nevertheless, it shows http:// scheme in the location bar on some pages.

Reproducible: Always

Steps to Reproduce:
1. Set "browser.urlbar.trimURLs" is true.
2. Visits some pages. (ex. http://ftp.mozilla.org/)

Actual Results:  
It shows http:// scheme in the location bar.</Description></bugID>